## mbm-power 0.2-1ubuntu2~hardy1

=== Makefile ===
prefix ?= /

CC =	gcc
LIBS =	-lutil


all: empty_tty empty_tty.1.gz mbm-power.1.gz 01f3507g f3507g.conf f3507g_autosuspend

empty_tty: empty_tty.c
	${CC} ${CFLAGS} -Wall ${LIBS} -o empty_tty empty_tty.c

mbm-power.1.gz: mbm-power.1
	gzip -9 < $< > $@

empty_tty.1.gz: empty_tty.1
	gzip -9 < $< > $@

install: mbm-power.1.gz 01f3507g f3507g.conf f3507g_autosuspend empty_tty change_powerstate
	mkdir -p $(DESTDIR)$(prefix)/etc/pm/sleep.d/
	install --mode=755 01f3507g $(DESTDIR)$(prefix)/etc/pm/sleep.d/01f3507g
	install --mode=644 f3507g.conf $(DESTDIR)$(prefix)/etc/f3507g.conf
	
	mkdir -p $(DESTDIR)$(prefix)/usr/share/man/man1/
	install --mode=644 mbm-power.1.gz $(DESTDIR)$(prefix)/usr/share/man/man1/mbm-power.1.gz

	[ -f `which strip` ] && strip empty_tty
	mkdir -p $(DESTDIR)$(prefix)/usr/bin/
	install --mode=755 empty_tty $(DESTDIR)$(prefix)/usr/bin/empty_tty
	install --mode=644 empty_tty.1.gz $(DESTDIR)$(prefix)/usr/share/man/man1/empty_tty.1.gz
	install --mode=755 f3507g_autosuspend $(DESTDIR)$(prefix)/usr/bin/f3507g_autosuspend
	install --mode=755 change_powerstate $(DESTDIR)$(prefix)/usr/bin/change_powerstate

distclean: clean

deinstall:
	rm $(DESTDIR)$(prefix)/usr/bin/empty_tty
	rm $(DESTDIR)$(prefix)/usr/share/man/man1/empty_tty.1
	
uninstall:	deinstall


clean:
	rm -f mbm-power.1.gz
	rm -f empty_tty
	
FreeBSD:	empty_tty
NetBSD:		empty_tty
OpenBSD:	empty_tty

Linux:		empty_tty
Cygwin:		empty_tty

UnixWare:	SunOS
OpenUNIX:	SunOS
AIX:		SunOS
OSF1:		SunOS
HP-UX:		SunOS
SunOS:
	cc -o empty_tty empty_tty.c

UnixWare-gcc:	SunOS-gcc
OpenUNIX-gcc:	SunOS-gcc
HP-UX-gcc:	SunOS-gcc
SunOS-gcc:
	gcc ${CFLAGS} -Wall -o empty_tty empty_tty.c

=== debian/changelog ===
mbm-power (0.2-1ubuntu2~hardy1) hardy; urgency=low

  * Backport to hardy

 -- Michael Frey <michael.frey@canonical.com>  Wed, 10 Dec 2008 17:06:06 -0800

mbm-power (0.2-1ubuntu2) intrepid; urgency=low

  * Handling autosuspend correctly 

 -- Bjorn <bjorn@ubuntufusion.localdomain>  Tue, 02 Sep 2008 10:26:48 +0200

mbm-power (0.2-1ubuntu1) intrepid; urgency=low

  * Updated to be able to wait for unregistration of network when suspending and hibernating

 -- Bjorn <bjorn@ubuntufusion.localdomain>  Mon, 01 Sep 2008 16:34:44 +0200

mbm-power (0.1-1) unstable; urgency=low

  * Initial release. Called "Shouldn't pm-utils and acpid be merged?".

 -- Bjorn Runaker <bjorn.runaker@ericsson.com>  Thu, 26 Jun 2008 21:48:55 +0200

=== debian/rules ===
#!/usr/bin/make -f

configure: configure-stamp
configure-stamp:
	touch $@

build: build-stamp
build-stamp:
	$(MAKE) all
	touch $@

clean:
	$(MAKE) distclean
	rm -f configure-stamp build-stamp
	rm -rf debian/mbm-power
	rm -f debian/files

DESTDIR=$(CURDIR)/debian/mbm-power
install: build
	mkdir -p $(DESTDIR)
	$(MAKE) install prefix=/ DESTDIR=$(DESTDIR)
	mkdir -p $(DESTDIR)/usr/share/doc/mbm-power/
	install --mode=644 changelog $(DESTDIR)/usr/share/doc/mbm-power/changelog
	gzip -f9 $(DESTDIR)/usr/share/doc/mbm-power/changelog

binary: binary-arch binary-indep

binary-arch: build install
	dh_installinit
	dh_link
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-indep: install
	install --mode=644 debian/changelog debian/mbm-power/usr/share/doc/mbm-power/changelog.Debian
	gzip -f9 debian/mbm-power/usr/share/doc/mbm-power/changelog.Debian
	install --mode=644 debian/copyright debian/mbm-power/usr/share/doc/mbm-power/copyright
	gzip -f9 debian/mbm-power/usr/share/doc/mbm-power/copyright

	mkdir -p debian/mbm-power/DEBIAN/
	cd debian/mbm-power && find * -path DEBIAN -prune -o -type f -print | xargs md5sum > DEBIAN/md5sums
	cp debian/conffiles debian/mbm-power/DEBIAN/conffiles
	dpkg-gencontrol -isp -Pdebian/mbm-power
	dpkg-deb --build debian/mbm-power ..

## mbm-power 0.2-1ubuntu2~hardy1netbook1

=== Makefile ===
--- 
+++ 
@@ -42,6 +42,7 @@
 clean:
 	rm -f mbm-power.1.gz
 	rm -f empty_tty
+	rm -f empty_tty.1.gz
 	
 FreeBSD:	empty_tty
 NetBSD:		empty_tty

=== debian/changelog ===
mbm-power (0.2-1ubuntu2~hardy1netbook1) netbook-common; urgency=low

  * merge changes from belmont1 as these are common for all netbooks 

 -- Bill Filler <bill.filler@canonical.com>  Wed, 25 Feb 2009 16:05:55 -0500

mbm-power (0.2-1ubuntu2~hardy1netbook0belmont1) hardy; urgency=low

  * Move rc2.d link from S20 to S27 so init script will run after hal has been
    started (hal starts at S24). Needed b/c init script makes hal calls.
  * Remove debhelper files and empty_tty.1.gz on a clean

 -- Debbie Beliveau <debbie.beliveau@canonical.com>  Tue, 10 Feb 2009 16:51:21 +0000

=== debian/control ===
Source: mbm-power
Section: misc
Priority: extra
Maintainer: Bjorn Runaker <bjorn.runaker@ericsson.com>
Build-Depends: debhelper (>= 5)
Standards-Version: 3.7.2

Package: mbm-power
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Handle power states for f3507 device
   When the computer suspends or hibernates it is important that f3507 deregister the 3G network

## mbm-power 0.2-1ubuntu2~hardy1netbook1payson1

=== debian/changelog ===
mbm-power (0.2-1ubuntu2~hardy1netbook1payson1) payson; urgency=low

  * comment out 01f3507g as it causes delays/hungs during suspend
    and we don't officially support 3g for this project 

 -- Bill Filler <bill.filler@canonical.com>  Mon, 02 Mar 2009 12:35:40 -0500

=== debian/rules ===
--- 
+++ 
@@ -14,6 +14,7 @@
 	rm -f configure-stamp build-stamp
 	rm -rf debian/mbm-power
 	rm -f debian/files
+	rm -f debian/*.debhelper
 
 DESTDIR=$(CURDIR)/debian/mbm-power
 install: build
@@ -26,7 +27,7 @@
 binary: binary-arch binary-indep
 
 binary-arch: build install
-	dh_installinit
+	dh_installinit -- start 27 2 3 4 5 . stop 20 0 1 6 .
 	dh_link
 	dh_installdeb
 	dh_gencontrol
